Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## alice.tuprolog
Class BuiltIn

    java.lang.Object
      alice.tuprolog.Library
          alice.tuprolog.BuiltIn

All Implemented Interfaces:
  IPrimitives, java.io.Serializable

public class BuiltIn
extends Library

Library of built-in predicates

Author:
  Alex Benini
See Also:
  Serialized Form

Field Summary

Fields inherited from class alice.tuprolog.Library
`engine`

Constructor Summary
`BuiltIn(Prolog mediator)`

Method Summary
`boolean` | `$append_2(Term arg0, Term arg1)`
`boolean` | `$call_1(Term goal)` It is the same as call/1, but it is not opaque to cut.
`boolean` | `$find_2(Term arg0, Term arg1)`
`boolean` | `$fromlist_2(Term arg0, Term arg1)`
`void` | `$load_library_1(Term lib)`
`boolean` | `$op_3(Term arg0, Term arg1, Term arg2)`
`boolean` | `$retract_1(Term arg0)`
`boolean` | `$tolist_2(Term arg0, Term arg1)`
`boolean` | `abolish_1(Term arg0)`
`boolean` | `asserta_1(Term arg0)`
`boolean` | `assertz_1(Term arg0)`
`boolean` | `comma_2(Term arg0, Term arg1)`
`void` | `consult_1(Term theory)`
`boolean` | `copy_term_2(Term arg0, Term arg1)`
`boolean` | `cut_0()`
`boolean` | `deunify_2(Term arg0, Term arg1)`
`boolean` | `fail_0()`
`void` | `flag_4(Term flagName, Term flagSet, Term flagDefault, Term flagModifiable)`
`boolean` | `flag_list_1(Term arg0)`
`boolean` | `get_prolog_flag_2(Term arg0, Term arg1)`
`java.lang.String[][]` | `getSynonymMap()` Defines some synonyms
`boolean` | `halt_0()`
`boolean` | `halt_1(Term arg0)`
`boolean` | `is_2(Term arg0, Term arg1)`
`boolean` | `load_library_1(Term arg0)`
`void` | `op_3(Term arg0, Term arg1, Term arg2)`
`boolean` | `set_prolog_flag_2(Term arg0, Term arg1)`
`void` | `solve_1(Term goal)`
`boolean` | `true_0()`
`boolean` | `unify_2(Term arg0, Term arg1)`
`boolean` | `unload_library_1(Term arg0)`

Methods inherited from class alice.tuprolog.Library
`dismiss, evalExpression, getEngine, getName, getPrimitives, getTheory, match, onSolveBegin, onSolveEnd, unify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuiltIn

    public BuiltIn(Prolog mediator)

Method Detail

### getSynonymMap

    public java.lang.String[][] getSynonymMap()

  Defines some synonyms

  Overrides:
    `getSynonymMap` in class `Library`

### fail_0

    public boolean fail_0()

### true_0

    public boolean true_0()

### halt_0

    public boolean halt_0()
                   throws HaltException

  Throws:
    `HaltException`

### cut_0

    public boolean cut_0()

### asserta_1

    public boolean asserta_1(Term arg0)

### assertz_1

    public boolean assertz_1(Term arg0)

### $retract_1

    public boolean $retract_1(Term arg0)

### abolish_1

    public boolean abolish_1(Term arg0)

### halt_1

    public boolean halt_1(Term arg0)
                   throws HaltException

  Throws:
    `HaltException`

### load_library_1

    public boolean load_library_1(Term arg0)

### unload_library_1

    public boolean unload_library_1(Term arg0)

### flag_list_1

    public boolean flag_list_1(Term arg0)

### comma_2

    public boolean comma_2(Term arg0,
                           Term arg1)

### $call_1

    public boolean $call_1(Term goal)

  It is the same as call/1, but it is not opaque to cut.

### is_2

    public boolean is_2(Term arg0,
                        Term arg1)

### unify_2

    public boolean unify_2(Term arg0,
                           Term arg1)

### deunify_2

    public boolean deunify_2(Term arg0,
                             Term arg1)

### $tolist_2

    public boolean $tolist_2(Term arg0,
                             Term arg1)

### $fromlist_2

    public boolean $fromlist_2(Term arg0,
                               Term arg1)

### copy_term_2

    public boolean copy_term_2(Term arg0,
                               Term arg1)

### $append_2

    public boolean $append_2(Term arg0,
                             Term arg1)

### $find_2

    public boolean $find_2(Term arg0,
                           Term arg1)

### set_prolog_flag_2

    public boolean set_prolog_flag_2(Term arg0,
                                     Term arg1)

### get_prolog_flag_2

    public boolean get_prolog_flag_2(Term arg0,
                                     Term arg1)

### $op_3

    public boolean $op_3(Term arg0,
                         Term arg1,
                         Term arg2)

### op_3

    public void op_3(Term arg0,
                     Term arg1,
                     Term arg2)

### flag_4

    public void flag_4(Term flagName,
                       Term flagSet,
                       Term flagDefault,
                       Term flagModifiable)

### solve_1

    public void solve_1(Term goal)

### $load_library_1

    public void $load_library_1(Term lib)
                         throws InvalidLibraryException

  Throws:
    `InvalidLibraryException`

### consult_1

    public void consult_1(Term theory)
                   throws java.io.FileNotFoundException,
                          InvalidTheoryException,
                          java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `InvalidTheoryException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD